#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		skeltar		skeletonmm.tar.xz
#-----------------------------------------------------------------------------
Name		:	mm-common
Version		:	1.0.5
Release		:	16.2.0.rel%{?dist}
Summary		:	The GNOME C++ bindings effort.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/%{name}

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The '%{name}' module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is only a required
dependency for building the C++ bindings from the gnome.org version
control repository.  An installation of '%{name}' is not required for
building tarball releases, unless configured to use maintainer-mode.

Release archives of '%{name}' include the Doxygen tag file for the
GNU C++ Library reference documentation. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md NEWS
%{_bindir}/%{name}-prepare
%{_bindir}/%{name}-get
%{_datadir}/pkgconfig/%{name}-*.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}/build/*.am
%{_datadir}/%{name}/doctool/*
%{_datadir}/%{name}/doctags/libstdc++.tag
%{_datadir}/%{name}/build/*.py
%{_defaultdocdir}/%{name}/OVERVIEW.md
%{_defaultdocdir}/%{name}/README.md
%{_defaultdocdir}/%{name}/%{skeltar}
%{_mandir}/man1/%{name}-prepare.1.gz
%{_mandir}/man1/%{name}-get.1.gz

#=============================================================================
%prep
%setup -q

tar xf %{SOURCE1}
#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--buildtype=release				\
	-D use-network=false				\
	_bld

%{__cp}							\
	%{name}-ok_addon/skeletonmm.tar.xz		\
	%{name}-ok_addon/libstdc++.tag			\
	_bld

meson							\
	compile						\
		-C _bld
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
		-C _bld					\
		install

#-----------------------------------------------------------------------------
%changelog
